Subject: bug#45360: Cannot log in to GNOME on foreign distro with Guix

From: Evan Straw <[email-masked]>
Date: Tue, 29 Dec 2020 18:29:41 -0800

Hello,

I have more information on this bug. Apologies for the delay. I've been
able to narrow the problem down to a single package - when I install
sbcl, I am unable to log in, and when I uninstall sbcl, the problem
disappears, and I am able to log in normally. Even using a profile with
only the sbcl package, the problem occurs. I checked out the package
definition for sbcl and it seems to set both XDG_CONFIG_DIRS and
XDG_DATA_DIRS, so maybe that's where the problem is? I'm not really sure
what causes this, however; that's just a guess.

Hope this helps narrow it down more. If I can provide any more
information please let me know.

-- Evan